%global momorel 4

Summary: A library implementing the SSH2 protocol
Name: libssh2
Version: 0.18
Release: %{momorel}m%{?dist}
License: BSD
URL: http://www.libssh2.org/
Group: System Environment/Libraries
Source0: http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz 
NoSource: 0
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: openssl-devel
BuildRequires: pkgconfig
BuildRequires: zlib-devel

%description
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package devel
Summary: Development files for libssh2
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on libssh2.

%prep
%setup -q

# make sure things are UTF-8...
for i in ChangeLog NEWS ; do
    iconv --from=ISO-8859-1 --to=UTF-8 $i > new
    mv new $i
done

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall

# fake file for kftpgrabber-0.8.99 svn
touch %{buildroot}%{_libdir}/LibSSH2Config.cmake

# get rid of *.la files
rm -f %{buildroot}%{_libdir}/lib*.la

# clean up docs
( cd example && make clean )
rm -f example/simple/Makefile*
rm -rf example/simple/.deps 
rm -f example/Makefile*

%check
(cd tests && make check)

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING INSTALL NEWS README
%{_libdir}/libssh2.so.*

%files devel
%defattr(-,root,root)
%doc example
%{_includedir}/libssh2*.h
%{_libdir}/LibSSH2Config.cmake
%{_libdir}/libssh2.a
%{_libdir}/libssh2.so
%{_mandir}/man3/libssh2_*.3*

%changelog
* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.18-4m)
- rebuild against openssl-0.9.8h-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.18-3m)
- rebuild against gcc43

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.18-2m)
- %%NoSource -> NoSource

* Fri Jan 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.18-1m)
- initial package for kftpgrabber-0.8.99
